import { DMMF as PrismaDMMF } from '@prisma/client/runtime/dmmf-types';
import { DMMF } from './types';
import { DmmfDocument } from './dmmf-document';
import { GenerateCodeOptions } from '../options';
export declare const transformSchema: (datamodel: PrismaDMMF.Schema, dmmfDocument: DmmfDocument) => Omit<DMMF.Schema, 'enums'>;
export declare const transformMappings: (mapping: PrismaDMMF.Mapping[], dmmfDocument: DmmfDocument, options: GenerateCodeOptions) => DMMF.Mapping[];
export declare const transformBareModel: (model: PrismaDMMF.Model) => DMMF.Model;
export declare const transformModelWithFields: (dmmfDocument: DmmfDocument) => (model: PrismaDMMF.Model) => DMMF.Model;
export declare const transformEnums: (dmmfDocument: DmmfDocument) => (enumDef: PrismaDMMF.Enum) => DMMF.Enum;
