import { Project } from 'ts-morph';
import { GeneratedResolverData } from '../types';
import { DmmfDocument } from '../dmmf/dmmf-document';
import { DMMF } from '../dmmf/types';
import { GenerateCodeOptions } from '../options';
declare const generateRelationsResolverClassesFromModel: (project: Project, baseDirPath: string, model: DMMF.Model, mapping: DMMF.Mapping, outputType: DMMF.OutputType, dmmfDocument: DmmfDocument, options: GenerateCodeOptions) => Promise<GeneratedResolverData>;
export default generateRelationsResolverClassesFromModel;
