import { Project } from 'ts-morph';
import { DmmfDocument } from './dmmf/dmmf-document';
import { DMMF } from './dmmf/types';
import { GenerateCodeOptions } from './options';
export declare const generateOutputTypeClassFromType: (project: Project, dirPath: string, type: DMMF.OutputType, dmmfDocument: DmmfDocument, options: GenerateCodeOptions) => Promise<void>;
export declare const generateInputTypeClassFromType: (project: Project, dirPath: string, inputType: DMMF.InputType, _dmmfDocument: DmmfDocument, options: GenerateCodeOptions) => Promise<void>;
