import { DMMF as PrismaDMMF } from '@prisma/client/runtime/dmmf-types';
import { DMMF } from './types';
import { GenerateCodeOptions } from '../options';
export declare class DmmfDocument implements DMMF.Document {
    private models;
    datamodel: DMMF.Datamodel;
    schema: DMMF.Schema;
    enums: DMMF.Enum[];
    mappings: DMMF.Mapping[];
    constructor({ datamodel, schema, mappings }: PrismaDMMF.Document, options: GenerateCodeOptions);
    getModelTypeName(modelName: string): string | undefined;
    isModelName(typeName: string): boolean;
    getModelFieldAlias(modelName: string, fieldName: string): string | undefined;
}
