import { DMMFTypeInfo } from './types';
import { DmmfDocument } from './dmmf/dmmf-document';
export declare const noop: () => void;
export declare const getFieldTSType: (typeInfo: DMMFTypeInfo, dmmfDocument: DmmfDocument, isInputType: boolean, modelName?: string | undefined, typeName?: string | undefined) => string;
export declare const mapScalarToTSType: (scalar: string, isInputType: boolean) => "string" | "number" | "boolean" | "Date" | "InputJsonValue" | "JsonValue";
export declare const getGraphQLType: (typeInfo: DMMFTypeInfo, dmmfDocument: DmmfDocument, modelName?: string | undefined, typeName?: string | undefined) => string;
export declare const mapScalarToType: (scalar: string) => string;
export declare const camelCase: (str: string) => string;
export declare const pascalCase: (str: string) => string;
export declare const getModelNameFromInputType: (inputTypeName: string) => string | undefined;
export declare const getInputTypeName: (originalInputName: string, dmmfDocument: DmmfDocument) => string;
export declare const cleanDocsString: (documentation: string | undefined) => string | undefined;
export declare const toUnixPath: (maybeWindowsPath: string) => string;
