import { DmmfDocument } from '../dmmf/dmmf-document';
import { DMMF } from '../dmmf/types';
export declare const generateCrudResolverClassMethodDeclaration: (action: DMMF.Action, typeName: string, dmmfDocument: DmmfDocument, mapping: DMMF.Mapping) => {
    name: string;
    isAsync: boolean;
    returnType: string;
    decorators: {
        name: string;
        arguments: string[];
    }[];
    parameters: {
        name: string;
        type: string;
        decorators: {
            name: string;
            arguments: never[];
        }[];
    }[];
    statements: string[];
};
